//
// ode.h  written by Kenji Shimada
// Problem Set 11 Sample Code 
//

#ifndef ODE_H
#define ODE_H


#include <stdlib.h>
#include <math.h>
#include <iostream.h>
#include <fstream.h>


// Constant Definitions 
#define	MY_NAME     "Kenji Shimada (shimada@cmu.edu)"

#define	L0			(2.0)	// Neutral spring length
#define	N			(1000)	// Number of iterations
#define	H			(0.01)	// Integration interval
#define K			(10.0)	// Spring constant
#define G			(9.8)	// Gravity constant
#define M			(1.0)	// Mass


// Function Prototypes 
void	vrml_ode (ofstream &outFile, char* my_name, double p[][6]);   


#endif ODE_H

